umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
NotePage Class Reference

`#include <notepage.h>`

Inheritance diagram for NotePage:

## Public Member Functions
| NotePage (QWidget *parent, NoteWidget *note)
| ~NotePage ()
bool | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Attributes
DocumentationWidget * | m_docWidget
| widget holding the documentation
NoteWidget * | m_noteWidget
| note widget to show documentation for
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Detailed Description

Author
  Ralf Habacker Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ NotePage()

NotePage::NotePage | ( | QWidget * | parent,
|  | NoteWidget * | note )

Constructs an note page.

## ◆ ~NotePage()

NotePage::~NotePage | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

bool NotePage::apply | ( |  | ) |

## Member Data Documentation

## ◆ m_docWidget

DocumentationWidget* NotePage::m_docWidget
| protected

widget holding the documentation

## ◆ m_noteWidget

NoteWidget* NotePage::m_noteWidget
| protected

note widget to show documentation for

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/notepage.h
- umbrello/dialogs/pages/notepage.cpp